%                                 SIMULATION NANOSATELLITE MISSION CASAA
%                                 **************************************

% clear
clc
hold off
clg
casesen on;
disp('');
disp('******************************************************************');
disp('');
disp('    Ce programme contient les caracteristiques inertielles')
disp('                et orbitales du satellite');
disp('');disp('');disp('');

disp('    POUR LES MODIFIER EDITEZ scao_gen.m sous un editeur quelconque');
disp('');disp('');disp('');
disp('******************************************************************');
disp('');disp('');disp('');

disp('');disp('');disp('');disp('');disp('');


casesen on;
% Elements de la matrice d'inertie du satellite

Ir=0.032;
It=0.036;
Il=0.022;

% Caractristiques de l'orbite du satellite

altitude_orbite=817;		% altitude satellite en km
rayon_orbital=(6378+altitude_orbite)*1000;
vitesse_rotation=sqrt(39.86e13/rayon_orbital^3);
				% pulsation orbitale en rd/s
inclinaison=98.7*pi/180;



disp('******************************************************************');

% Reprsentation d'tat du SCAO non perturb

Asat=[0 1 0 0 0 0;
   -4*(It-Il)*vitesse_rotation^2/Ir...
          0 0 0 0 -(Ir+Il-It)*vitesse_rotation/Ir;
   0 0 0 1 0 0;
   0 0 -3*(Ir-Il)*vitesse_rotation^2/It 0 0 0;
   0 0 0 0 0 1;
   0 (Ir+Il-It)*vitesse_rotation/Il...
          0 0 -(It-Ir)*vitesse_rotation^2/Il 0];

Bsat=[0 0 0;
   1/Ir 0 0;
   0 0 0;
   0 1/It 0;
   0 0 0;
   0 0 1/Il];


disp('   Pour continuer appuyez sur une touche');
pause;
clc;


disp('*****************************************************************************************');

tsim=input('          Temps de simulation (s) : ');

disp('');
disp('***********************************************************');
disp('');
disp('   On vous demande le nombre de points de memorisation  de Matlab ');
disp('      ceci pour le trace des courbes des variables de sortie');
disp('');

points_trace=input('    Nombre points memorisation trace des courbes : ');

disp('');
disp('***********************************************************');
disp('');
disp('   Pour connaitre les variables disponibles tapez    whos');
disp('');
disp('***********************************************************');


end


% disp('');

disp('--------------LANCER DANS L''ESPACE MATLAB --------------------');

disp('          scaodat9  pour  la simulation simclas9');  %   au point !!!
